Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface CommonBaseEvent

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.hyades.logging.core.ICommonBaseEvent, org.eclipse.emf.common.notify.Notifier, java.io.Serializable

All Known Implementing Classes:
  CommonBaseEventImpl

public interface CommonBaseEvent
extends org.eclipse.emf.ecore.EObject, java.io.Serializable, org.eclipse.hyades.logging.core.ICommonBaseEvent

A representation of the model object 'Common Base Event'.

Since:
  1.0
Version:
  1.0.1
Author:
  Denilson Nastacio, Paul E. Slauenwhite
See Also:
  `EventPackage.getCommonBaseEvent()`

Field Summary
`static short` | `PRIORITY_HIGH` Indicative of an important event that requires attention.
`static short` | `PRIORITY_LOW` Indicative of an event that does not need to be processed immediately.
`static short` | `PRIORITY_MEDIUM` Indicative of an event of average importance.
`static short` | `SEVERITY_CRITICAL` Critical is used to indicate that an immediate action is needed and the scope is broad (perhaps an imminent outage to a critical resource will result).
`static short` | `SEVERITY_FATAL` Fatal is used to indicate that an error occurred but it is too late to take remedial action.
`static short` | `SEVERITY_HARMLESS` Harmless is used for cases when the error event has no effect on the normal operation of the resource.
`static short` | `SEVERITY_INFORMATION` Information is used for cases when the event only contains general information and is not reporting an error.
`static short` | `SEVERITY_MINOR` Minor is used to indicate that action is needed, but the situation is not serious at this time.
`static short` | `SEVERITY_UNKNOWN` Unknown is used for cases when the event severity is not known.
`static short` | `SEVERITY_WARNING` Warning is used when it is appropriate to let the user decide if an action is needed in response to the event.

Method Summary
`void` | `addAny(java.lang.String any)` Helper method for creating and setting an any element for this object.
`AssociatedEvent` | `addAssociatedEvent(AssociatedEvent associatedEvent)` Adds a new `AssociatedEvent` to this object.
`AssociatedEvent` | `addAssociatedEvent(java.lang.String associationEngineName, java.lang.String associationEngineType, java.lang.String associationEngineId, java.lang.String[] resolvedEvents)` Helper method for creating and setting the associated events for this object.
`ContextDataElement` | `addContextDataElement(ContextDataElement contextDataElement)` Adds a new `ContextDataElement` to this object.
`ContextDataElement` | `addContextDataElementWithId(java.lang.String contextType, java.lang.String contextName, java.lang.String contextId)` Adds a new context data element to this object.
`ContextDataElement` | `addContextDataElementWithValue(java.lang.String contextType, java.lang.String contextName, java.lang.String contextValue)` Adds a new context data element to this object.
`ExtendedDataElement` | `addExtendedDataElement(ExtendedDataElement extendedDataElement)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElement(java.lang.String name)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElement(java.lang.String name, int type, java.lang.String value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElement(java.lang.String name, int type, java.lang.String[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElement(java.lang.String name, java.lang.String value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElement(java.lang.String name, java.lang.String[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithBooleanArrayValue(java.lang.String name, boolean[] values)` An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`ExtendedDataElement` | `addExtendedDataElementWithBooleanValue(java.lang.String name, boolean value)` An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`ExtendedDataElement` | `addExtendedDataElementWithByteArrayValue(java.lang.String name, byte[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithByteValue(java.lang.String name, byte value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithDateArrayValue(java.lang.String name, java.lang.String[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithDateAsLongValue(java.lang.String name, long value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithDatesAsLongValue(java.lang.String name, long[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithDateValue(java.lang.String name, java.lang.String value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithDoubleArrayValue(java.lang.String name, double[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithDoubleValue(java.lang.String name, double value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithFloatArrayValue(java.lang.String name, float[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithFloatValue(java.lang.String name, float value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithHexValue(java.lang.String name, byte[] hexValue)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithHexValue(java.lang.String name, java.lang.String hexValue)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithIntArrayValue(java.lang.String name, int[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithIntValue(java.lang.String name, int value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithLongArrayValue(java.lang.String name, long[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithLongValue(java.lang.String name, long value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithNoValue(java.lang.String name)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithShortArrayValue(java.lang.String name, short[] values)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addExtendedDataElementWithShortValue(java.lang.String name, short value)` Adds a new `ExtendedDataElement` to this object.
`void` | `clearAny()` Removes all any strings that this event is referencing
`void` | `clearAssociatedEvents()` Removes all ExtenedDataElements that this event is referencing
`void` | `clearContextDataElements()` Removes all ExtenedDataElements that this event is referencing
`void` | `clearExtendedDataElements()` Removes all ExtenedDataElements that this event is referencing
`void` | `complete()` Invokes the content handler associated, if any, with this event instance.
`org.eclipse.emf.common.util.EList` | `getAny()` Returns the value of the 'Any' attribute list.
`org.eclipse.emf.common.util.EList` | `getAssociatedEvents()` Returns the value of the 'Associated Events' containment reference list.
`ContentHandler` | `getContentHandler()` Gets the `ContentHandler` associated with this event instance.
`org.eclipse.emf.common.util.EList` | `getContextDataElements()` Returns the value of the 'Context Data Elements' containment reference list.
`org.eclipse.emf.common.util.EList` | `getContextDataElements(java.lang.String name)` Get a named a context that this event is referencing.
`java.lang.String` | `getCreationTime()` Returns the value of the 'Creation Time' attribute.
`long` | `getCreationTimeAsLong()` Returns the value of the 'Creation Time' attribute.
`long` | `getElapsedTime()` Returns the value of the 'Elapsed Time' attribute.
`org.eclipse.emf.common.util.EList` | `getExtendedDataElements()` Returns the value of the 'Extended Data Elements' containment reference list.
`org.eclipse.emf.common.util.EList` | `getExtendedDataElements(java.lang.String name)` Returns a named `ExtendedDataElement` from the list of `ExtendedDataElement` objects.
`java.lang.String` | `getExtensionName()` Returns the value of the 'Extension Name' attribute.
`java.lang.String` | `getGlobalInstanceId()` Returns the value of the 'Global Instance ID' attribute.
`java.lang.String` | `getLocalInstanceId()` Returns the value of the 'Local Instance ID' attribute.
`java.lang.String` | `getMsg()` Returns the value of the 'Msg' attribute.
`MsgDataElement` | `getMsgDataElement()` Returns the value of the 'Msg Data Element' containment reference.
`short` | `getPriority()` Returns the value of the 'Priority' attribute.
`short` | `getRepeatCount()` Returns the value of the 'Repeat Count' attribute.
`ComponentIdentification` | `getReporterComponentId()` Returns the value of the 'Reporter Component ID' containment reference.
`long` | `getSequenceNumber()` Returns the value of the 'Sequence Number' attribute.
`short` | `getSeverity()` Returns the value of the 'Severity' attribute.
`Situation` | `getSituation()` Returns the value of the 'Situation' containment reference
`ComponentIdentification` | `getSourceComponentId()` Returns the value of the 'Source Component ID' containment reference.
`java.lang.String` | `getVersion()` Returns the value of the 'Version' attribute.
`void` | `init()` Resets the object's properties to their initial (e.g. null) state, except the `globalInstanceId` property.
`boolean` | `isComplete()` Determines if the `ContentHandler` associated with this event instance, if any, has been previously been invoked.
`boolean` | `isSetCreationTime()` Returns whether the value of the '`Creation Time`' attribute is set.
`boolean` | `isSetElapsedTime()` Returns whether the value of the '`Elapsed Time`' attribute is set.
`boolean` | `isSetPriority()` Returns whether the value of the '`Priority`' attribute is set
`boolean` | `isSetRepeatCount()` Returns whether the value of the '`Repeat Count`' attribute is set.
`boolean` | `isSetSequenceNumber()` Returns whether the value of the '`Sequence Number`' attribute is set.
`boolean` | `isSetSeverity()` Returns whether the value of the '`Severity`' attribute is set.
`void` | `removeContextDataElements(java.lang.String name)` Remove a named context data element that this event is referencing
`void` | `removeExtendedDataElements(java.lang.String name)` Remove a named extended data element that this event is referencing
`void` | `setContentHandler(ContentHandler contentHandler)` Sets the `ContentHandler` associated with this event instance.
`void` | `setCreationTime(java.lang.String value)` Sets the value of the '`Creation Time`' attribute
`void` | `setCreationTimeAsLong(long creationTime)` Sets the value of the 'Creation Time' attribute.
`void` | `setElapsedTime(long value)` Sets the value of the '`Elapsed Time`' attribute
`void` | `setExtensionName(java.lang.String value)` Sets the value of the '`Extension Name`' attribute
`void` | `setGlobalInstanceId(java.lang.String value)` Sets the value of the '`Global Instance ID`' attribute
`void` | `setLocalInstanceId(java.lang.String value)` Sets the value of the '`Local Instance ID`' attribute
`void` | `setMsg(java.lang.String value)` Sets the value of the '`Msg`' attribute
`void` | `setMsgDataElement(MsgDataElement value)` Sets the value of the '`Msg Data Element`' containment reference
`MsgDataElement` | `setMsgDataElement(java.lang.String msgCatalog, java.lang.String msgCatalogId, MsgCatalogToken[] tokens, java.lang.String msgCatalogType, java.lang.String msgId, java.lang.String msgIdType, java.lang.String msgCatalogLocale)` Adds a new `MsgDataElement` to this object.
`MsgDataElement` | `setMsgDataElement(java.lang.String msgCatalog, java.lang.String msgCatalogId, java.lang.String[] tokens, java.lang.String msgCatalogType, java.lang.String msgId, java.lang.String msgIdType, java.lang.String msgCatalogLocale)` Adds a new `MsgDataElement` to this object.
`void` | `setPriority(short value)` Sets the value of the '`Priority`' attribute.
`void` | `setRepeatCount(short value)` Sets the value of the '`Repeat Count`' attribute
`void` | `setReporterComponentId(ComponentIdentification value)` Sets the value of the '`Reporter Component ID`' containment reference
`void` | `setReporterComponentId(java.lang.String application, java.lang.String component, java.lang.String subComponent, java.lang.String componentType, java.lang.String componentIdType, java.lang.String location, java.lang.String locationType)` Sets the reporter component identifier for this event.
`void` | `setReporterComponentId(java.lang.String application, java.lang.String component, java.lang.String subComponent, java.lang.String componentType, java.lang.String componentIdType, java.lang.String executionEnvironment, java.lang.String instanceId, java.lang.String location, java.lang.String locationType, java.lang.String processId, java.lang.String threadId)` Helper method for creating and setting the reporter component ID for this object.
`void` | `setSequenceNumber(long value)` Sets the value of the '`Sequence Number`' attribute
`void` | `setSeverity(short value)` Sets the value of the '`Severity`' attribute
`void` | `setSituation(Situation value)` Sets the value of the '`Situation`' containment reference
`void` | `setSourceComponentId(ComponentIdentification value)` Sets the value of the '`Source Component ID`' containment reference
`void` | `setSourceComponentId(java.lang.String application, java.lang.String component, java.lang.String subComponent, java.lang.String componentType, java.lang.String componentIdType, java.lang.String location, java.lang.String locationType)` Sets the source component identifier for this event.
`void` | `setSourceComponentId(java.lang.String application, java.lang.String component, java.lang.String subComponent, java.lang.String componentType, java.lang.String componentIdType, java.lang.String executionEnvironment, java.lang.String instanceId, java.lang.String location, java.lang.String locationType, java.lang.String processId, java.lang.String threadId)` Sets the source component identifier for this event.
`void` | `setVersion(java.lang.String value)` Sets the value of the '`Version`' attribute
`void` | `unsetCreationTime()` Sets the value of the '`Creation Time`' attribute to `null` and turns off the `isSet` flag.
`void` | `unsetElapsedTime()` Sets the value of the '`Elapsed Time`' attribute to `0` and turns off the `isSet` flag
`void` | `unsetPriority()` Sets the value of the '`Priority`' attribute to `0` and turns off the `isSet` flag.
`void` | `unsetRepeatCount()` Sets the value of the '`Repeat Count`' attribute to `0` and turns off the `isSet` flag
`void` | `unsetSequenceNumber()` Sets the value of the '`Sequence Number`' attribute to `0` and turns off the `isSet` flag
`void` | `unsetSeverity()` Sets the value of the '`Severity`' attribute to `0` and turns off the `isSet` flag.
`void` | `validate()` Checks whether the contents of the instance conform to the CBE specification.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### PRIORITY_LOW

    public static final short PRIORITY_LOW

  Indicative of an event that does not need to be processed immediately.

  See Also:
    `setPriority(short)`, Constant Field Values

### PRIORITY_MEDIUM

    public static final short PRIORITY_MEDIUM

  Indicative of an event of average importance.

  See Also:
    `setPriority(short)`, Constant Field Values

### PRIORITY_HIGH

    public static final short PRIORITY_HIGH

  Indicative of an important event that requires attention.

  See Also:
    `setPriority(short)`, Constant Field Values

### SEVERITY_UNKNOWN

    public static final short SEVERITY_UNKNOWN

  Unknown is used for cases when the event severity is not known.

  See Also:
    `setSeverity(short)`, Constant Field Values

### SEVERITY_INFORMATION

    public static final short SEVERITY_INFORMATION

  Information is used for cases when the event only contains general information and is not reporting an error.

  See Also:
    `setSeverity(short)`, Constant Field Values

### SEVERITY_HARMLESS

    public static final short SEVERITY_HARMLESS

  Harmless is used for cases when the error event has no effect on the normal operation of the resource.

  See Also:
    `setSeverity(short)`, Constant Field Values

### SEVERITY_WARNING

    public static final short SEVERITY_WARNING

  Warning is used when it is appropriate to let the user decide if an action is needed in response to the event.

  See Also:
    `setSeverity(short)`, Constant Field Values

### SEVERITY_MINOR

    public static final short SEVERITY_MINOR

  Minor is used to indicate that action is needed, but the situation is not serious at this time.

  See Also:
    `setSeverity(short)`, Constant Field Values

### SEVERITY_CRITICAL

    public static final short SEVERITY_CRITICAL

  Critical is used to indicate that an immediate action is needed and the scope is broad (perhaps an imminent outage to a critical resource will result).

  See Also:
    `setSeverity(short)`, Constant Field Values

### SEVERITY_FATAL

    public static final short SEVERITY_FATAL

  Fatal is used to indicate that an error occurred but it is too late to take remedial action.

  See Also:
    `setSeverity(short)`, Constant Field Values

Method Detail

### getAny

    public org.eclipse.emf.common.util.EList getAny()

  Returns the value of the 'Any' attribute list. The list contents are of type `String`.

  The XML fragment found inside an <any> element of the XML representation of CBE event.

  Important: This method is automatically generated and returns an `EList`, which inherits from ``List``

  Returns:
    the value of the 'Any' attribute list.
  See Also:
    `EventPackage.getCommonBaseEvent_Any()`

### getAssociatedEvents

    public org.eclipse.emf.common.util.EList getAssociatedEvents()

  Returns the value of the 'Associated Events' containment reference list. The list contents are of type `AssociatedEvent`.

  This property allows events to be grouped. This property is a complex type that consists of globalInstanceIds that identify the associated events plus a type field that describes the type of association that is represented by the name of the association. This is an optional property.

  Important: This method is automatically generated and returns an `EList`, which inherits from ``List``

  Returns:
    the value of the 'Associated Events' containment reference list.
  See Also:
    `EventPackage.getCommonBaseEvent_AssociatedEvents()`

### getContextDataElements

    public org.eclipse.emf.common.util.EList getContextDataElements()

  Returns the value of the 'Context Data Elements' containment reference list. The list contents are of type `ContextDataElement`.

  An array of contexts that this event is referencing. See the ContextDataElement definition for details. This is an optional property.

  Important: This method is automatically generated and returns an `EList`, which inherits from ``List``

  Returns:
    the value of the 'Context Data Elements' containment reference list.
  See Also:
    `EventPackage.getCommonBaseEvent_ContextDataElements()`

### getContextDataElements

    public org.eclipse.emf.common.util.EList getContextDataElements(java.lang.String name)

  Get a named a context that this event is referencing. See the ContextDataElement definition (described on page 28) for details.

  Parameters:
    `name` - the name of the element to be found
  Returns:
    EList of ContextDataElements if the named element exists

### setCreationTime

    public void setCreationTime(java.lang.String value)

  Sets the value of the '`Creation Time`' attribute.

  The date-time when the event was issued. The value must be as defined by the XML Schema dateTime data type. The value must be as precise as the generating platform allows. This is a required property.

  The parameter is represented in terms of the DateTime XML type as defined in the XML Schema specification.

  Parameters:
    `value` - the new value of the 'Creation Time' attribute.
  See Also:
    `isSetCreationTime()`, `unsetCreationTime()`, `getCreationTime()`

### unsetCreationTime

    public void unsetCreationTime()

  Sets the value of the '`Creation Time`' attribute to `null` and turns off the `isSet` flag.

  See Also:
    `isSetCreationTime()`, `getCreationTime()`, `setCreationTime(String)`

### isSetCreationTime

    public boolean isSetCreationTime()

  Returns whether the value of the '`Creation Time`' attribute is set.

  Returns:
    whether the value of the 'Creation Time' attribute is set.
  See Also:
    `unsetCreationTime()`, `getCreationTime()`, `setCreationTime(String)`

### getCreationTime

    public java.lang.String getCreationTime()

  Returns the value of the 'Creation Time' attribute.

  Returns:
    the value of the 'Creation Time' attribute.
  See Also:
    `isSetCreationTime()`, `unsetCreationTime()`, `setCreationTime(String)`, `EventPackage.getCommonBaseEvent_CreationTime()`

### setCreationTimeAsLong

    public void setCreationTimeAsLong(long creationTime)

  Sets the value of the 'Creation Time' attribute.

  Parameters:
    `creationTime` - the difference, measured in milliseconds, between the creation time and midnight, January 1, 1970 UTC.
  See Also:
    `EventPackage.getCommonBaseEvent_CreationTime()`, `setCreationTime(String)`, `getCreationTime()`, `getCreationTimeAsLong()`

### getCreationTimeAsLong

    public long getCreationTimeAsLong()

  Returns the value of the 'Creation Time' attribute.

  Returns:
    the difference, measured in milliseconds, between the creation time and midnight, January 1, 1970 UTC.
  See Also:
    `EventPackage.getCommonBaseEvent_CreationTime()`, `setCreationTime(String)`, `getCreationTime()`, `setCreationTimeAsLong(long)`

### getElapsedTime

    public long getElapsedTime()

  Returns the value of the 'Elapsed Time' attribute.

  This is the time interval or the elapsed time for the number of occurrences of a given event type that is specified by the repeatCount property. This value indicates the duration of the time within which the repeated events were observed. This is an OPTIONAL property. However, if repeatCount is specified you MUST specify a value for elapsedTime. The default value is 0, which is a valid value for this property. For this reason the 'org.eclipse.hyades.logging.events.cbe' method should always be called before calling this method. This allows the user to distinguish the default value from a value that has been set to 0.

  Returns:
    the value of the 'Elapsed Time' attribute.
  See Also:
    `isSetElapsedTime()`, `unsetElapsedTime()`, `setElapsedTime(long)`, `EventPackage.getCommonBaseEvent_ElapsedTime()`

### setElapsedTime

    public void setElapsedTime(long value)

  Sets the value of the '`Elapsed Time`' attribute.

  This is the time interval or the elapsed time during which the number of identical events occurred (as specified by the repeatCount property). This property is expressed in microseconds. If no value (or zero) is specified for repeatCount, then this is an optional property. However, if repeatCount is specified (it has a non-zero value), then elapsedTime is required. The default value is 0, which is a valid value for this property. Use the 'org.eclipse.hyades.logging.events.cbe' to distinguish the default value from a value that has been set to 0.

  Parameters:
    `value` - the new value of the 'Elapsed Time' attribute.
  See Also:
    `isSetElapsedTime()`, `unsetElapsedTime()`, `getElapsedTime()`

### unsetElapsedTime

    public void unsetElapsedTime()

  Sets the value of the '`Elapsed Time`' attribute to `0` and turns off the `isSet` flag.

  See Also:
    `isSetElapsedTime()`, `getElapsedTime()`, `setElapsedTime(long)`

### isSetElapsedTime

    public boolean isSetElapsedTime()

  Returns whether the value of the '`Elapsed Time`' attribute is set.

  Returns:
    whether the value of the 'Elapsed Time' attribute is set.
  See Also:
    `unsetElapsedTime()`, `getElapsedTime()`, `setElapsedTime(long)`

### getExtendedDataElements

    public org.eclipse.emf.common.util.EList getExtendedDataElements(java.lang.String name)

  Returns a named `ExtendedDataElement` from the list of `ExtendedDataElement` objects.

  Parameters:
    `name` - the name of the `ExtendedDataElement`
  Returns:
    a list of `ExtendedDataElement` objects.
  See Also:
    `ExtendedDataElement`

### getExtendedDataElements

    public org.eclipse.emf.common.util.EList getExtendedDataElements()

  Returns the value of the 'Extended Data Elements' containment reference list. The list contents are of type `ExtendedDataElement`.

  An array of product specific extensions that allows any other attributes not defined by the CommonBaseEvent. Information placed here is assumed to be product specific data; its interpretation is not specified. This is an optional property.

  Important: This method is automatically generated and returns an `EList`, which inherits from ``List``

  Returns:
    the value of the 'Extended Data Elements' containment reference list.
  See Also:
    `EventPackage.getCommonBaseEvent_ExtendedDataElements()`

### setExtensionName

    public void setExtensionName(java.lang.String value)

  Sets the value of the '`Extension Name`' attribute.

  The name of an event class (or element in XML) that this event represents (for example, CommonBaseEvent). The name indicates any additional elements that are expected to be present within the event.

  This is an optional property. If the value specified is null, then the value is assumed to be `CommonBaseEvent`. The string length for extensionName must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Extension Name' attribute.
  See Also:
    `getExtensionName()`

### getExtensionName

    public java.lang.String getExtensionName()

  Returns the value of the 'Extension Name' attribute.

  Returns:
    the value of the 'Extension Name' attribute.
  See Also:
    `setExtensionName(String)`, `EventPackage.getCommonBaseEvent_ExtensionName()`

### setGlobalInstanceId

    public void setGlobalInstanceId(java.lang.String value)

  Sets the value of the '`Global Instance ID`' attribute.

  The primary identifier for the event. This property must be globally unique and may be used as the primary key for the event.

  This is an optional property. However, once this value is set it must never be changed. The recommended value is either a 128 bit or 256 bit Globally Unique ID and must start with an alphabetic character (meaning, a-z and A-Z).

  Parameters:
    `value` - the new value of the 'Global Instance ID' attribute.
  See Also:
    `getGlobalInstanceId()`

### getGlobalInstanceId

    public java.lang.String getGlobalInstanceId()

  Returns the value of the 'Global Instance ID' attribute.

  Returns:
    the value of the 'Global Instance ID' attribute.
  See Also:
    `setGlobalInstanceId(String)`, `EventPackage.getCommonBaseEvent_GlobalInstanceId()`

### setLocalInstanceId

    public void setLocalInstanceId(java.lang.String value)

  Sets the value of the '`Local Instance ID`' attribute.

  A source supplied event identifier. There is no guarantee that this value is globally unique.

  This is an optional property. The string length for localInstanceId must not exceed 128 characters.

  Parameters:
    `value` - the new value of the 'Local Instance ID' attribute.
  See Also:
    `getLocalInstanceId()`

### getLocalInstanceId

    public java.lang.String getLocalInstanceId()

  Returns the value of the 'Local Instance ID' attribute.

  Returns:
    the value of the 'Local Instance ID' attribute.
  See Also:
    `setLocalInstanceId(String)`, `EventPackage.getCommonBaseEvent_LocalInstanceId()`

### setMsg

    public void setMsg(java.lang.String value)

  Sets the value of the '`Msg`' attribute.

  The text accompanying the event. This is typically the resolved message string in human readable format rendered for a specific locale.

  This is and optional property. The string length for msg must not exceed 1024 characters.

  Parameters:
    `value` - the new value of the 'Msg' attribute.
  See Also:
    `getMsg()`

### getMsg

    public java.lang.String getMsg()

  Returns the value of the 'Msg' attribute.

  Returns:
    the value of the 'Msg' attribute.
  See Also:
    `setMsg(String)`, `EventPackage.getCommonBaseEvent_Msg()`

### setMsgDataElement

    public void setMsgDataElement(MsgDataElement value)

  Sets the value of the '`Msg Data Element`' containment reference.

  Identification of the message that this event holds. See the MsgDataElement definition. This is an optional property.

  Parameters:
    `value` - the new value of the 'Msg Data Element' containment reference.
  See Also:
    `getMsgDataElement()`

### getMsgDataElement

    public MsgDataElement getMsgDataElement()

  Returns the value of the 'Msg Data Element' containment reference.

  Returns:
    the value of the 'Msg Data Element' containment reference.
  See Also:
    `setMsgDataElement(MsgDataElement)`, `EventPackage.getCommonBaseEvent_MsgDataElement()`

### setPriority

    public void setPriority(short value)

  Sets the value of the '`Priority`' attribute.

  Defines the importance of the event. The predefined priorities are:

  - 10 Low
  - 50 Medium
  - 70 High
  The valid values are 0 to 100. The reserved value for Low is 10, for Medium is 50, and for High is 70. Other priorities may be added but must not exceed 100. This is an optional property. The default value is 0, which is a valid value for this property. Use the 'org.eclipse.hyades.logging.events.cbe' to distinguish the default value from a value that has been set to 0.

  Parameters:
    `value` - the new value of the 'Priority' attribute.
  See Also:
    `isSetPriority()`, `unsetPriority()`, `getPriority()`

### unsetPriority

    public void unsetPriority()

  Sets the value of the '`Priority`' attribute to `0` and turns off the `isSet` flag.

  See Also:
    `isSetPriority()`, `getPriority()`, `setPriority(short)`

### isSetPriority

    public boolean isSetPriority()

  Returns whether the value of the '`Priority`' attribute is set.

  Returns:
    whether the value of the 'Priority' attribute is set.
  See Also:
    `unsetPriority()`, `getPriority()`, `setPriority(short)`

### getPriority

    public short getPriority()

  Returns the value of the 'Priority' attribute.

  The default value is 0, which is a valid value for this property. For this reason the 'org.eclipse.hyades.logging.events.cbe' method should always be called before calling this method. This allows the user to distinguish the default value from a value that has been set to 0.

  Returns:
    the value of the 'Priority' attribute.
  See Also:
    `isSetPriority()`, `unsetPriority()`, `setPriority(short)`, `EventPackage.getCommonBaseEvent_Priority()`

### setRepeatCount

    public void setRepeatCount(short value)

  Sets the value of the '`Repeat Count`' attribute.

  The number of occurrences of an identical event within a specific time interval.

  This is an optional property. A value of 0 or no value is indicative of no repeat of the event detected. The default value is 0, which is a valid value for this property. Use the 'org.eclipse.hyades.logging.events.cbe' to distinguish the default value from a value that has been set to 0.

  Parameters:
    `value` - the new value of the 'Repeat Count' attribute.
  See Also:
    `isSetRepeatCount()`, `unsetRepeatCount()`, `getRepeatCount()`

### unsetRepeatCount

    public void unsetRepeatCount()

  Sets the value of the '`Repeat Count`' attribute to `0` and turns off the `isSet` flag.

  See Also:
    `isSetRepeatCount()`, `getRepeatCount()`, `setRepeatCount(short)`

### isSetRepeatCount

    public boolean isSetRepeatCount()

  Returns whether the value of the '`Repeat Count`' attribute is set.

  Returns:
    whether the value of the 'Repeat Count' attribute is set.
  See Also:
    `unsetRepeatCount()`, `getRepeatCount()`, `setRepeatCount(short)`

### getRepeatCount

    public short getRepeatCount()

  Returns the value of the 'Repeat Count' attribute.

  The number of occurrences of a given event for a specific time interval. This is an OPTIONAL property. A value of 0 or no value is indicative of no repeat of the event detected. The default value is 0, which is a valid value for this property. For this reason the 'org.eclipse.hyades.logging.events.cbe' method should always be called before calling this method. This allows the user to distinguish the default value from a value that has been set to 0.

  Returns:
    the value of the 'Repeat Count' attribute.
  See Also:
    `isSetRepeatCount()`, `unsetRepeatCount()`, `setRepeatCount(short)`, `EventPackage.getCommonBaseEvent_RepeatCount()`

### setReporterComponentId

    public void setReporterComponentId(ComponentIdentification value)

  Sets the value of the '`Reporter Component ID`' containment reference.

  Identification of the component that is the reporter of the event or the situation.

  It is a required property if the reporting component is different than the source component. Otherwise this field must not be present.

  Parameters:
    `value` - the new value of the 'Reporter Component ID' containment reference.
  See Also:
    `getReporterComponentId()`

### setReporterComponentId

    public void setReporterComponentId(java.lang.String application,
                                       java.lang.String component,
                                       java.lang.String subComponent,
                                       java.lang.String componentType,
                                       java.lang.String componentIdType,
                                       java.lang.String location,
                                       java.lang.String locationType)

  Sets the reporter component identifier for this event.

  It creates a `ComponentIdentification` object and sets it in the respective field of this object.

  Parameters:
    `application` - the name of the application for the source component
    `component` - the name of the component for the source component
    `subComponent` - the name of the subcomponent for the source component
    `componentType` - the component type for the source component
    `componentIdType` - the component ID type for the source component
    `location` - the location for the source component
    `locationType` - the location type for the source component

### setReporterComponentId

    public void setReporterComponentId(java.lang.String application,
                                       java.lang.String component,
                                       java.lang.String subComponent,
                                       java.lang.String componentType,
                                       java.lang.String componentIdType,
                                       java.lang.String executionEnvironment,
                                       java.lang.String instanceId,
                                       java.lang.String location,
                                       java.lang.String locationType,
                                       java.lang.String processId,
                                       java.lang.String threadId)

  Helper method for creating and setting the reporter component ID for this object.

  It creates a `ComponentIdentification` object and sets it in the respective field of this object.

  Parameters:
    `application` - the name of the application for the reporting component
    `component` - the name of the component for the reporting component
    `componentType` - the component type for the reporting component
    `componentIdType` - the component ID type for the reporting component
    `executionEnvironment` - the name of the execution environment for the reporting component
    `instanceId` - the instance ID for the reporting component
    `location` - the location for the reporting component
    `locationType` - the location type for the reporting component
    `processId` - the process ID for the reporting component
    `subComponent` - the name of the subcomponent for the reporting component
    `threadId` - the thread ID for the reporting component

### getReporterComponentId

    public ComponentIdentification getReporterComponentId()

  Returns the value of the 'Reporter Component ID' containment reference.

  Returns:
    the value of the 'Reporter Component ID' containment reference.
  See Also:
    `setReporterComponentId(ComponentIdentification)`, `EventPackage.getCommonBaseEvent_ReporterComponentId()`

### setSequenceNumber

    public void setSequenceNumber(long value)

  Sets the value of the '`Sequence Number`' attribute.

  A source-defined number that allows for multiple messages to be sent and processed in a logical order that is different than the order in which they arrived at the consumer location (for example, an event server or management tools). The sequence number helps consumers to sort arrived messages that may arrive out-of-order. This is with respect to the creation time and to the particular reporter of the messages.

  This is an optional property. The default value is 0, which is a valid value for this property. Use the 'org.eclipse.hyades.logging.events.cbe' to distinguish the default value from a value that has been set to 0.

  Parameters:
    `value` - the new value of the 'Sequence Number' attribute.
  See Also:
    `isSetSequenceNumber()`, `unsetSequenceNumber()`, `getSequenceNumber()`

### unsetSequenceNumber

    public void unsetSequenceNumber()

  Sets the value of the '`Sequence Number`' attribute to `0` and turns off the `isSet` flag.

  See Also:
    `isSetSequenceNumber()`, `getSequenceNumber()`, `setSequenceNumber(long)`

### isSetSequenceNumber

    public boolean isSetSequenceNumber()

  Returns whether the value of the '`Sequence Number`' attribute is set.

  Returns:
    whether the value of the 'Sequence Number' attribute is set.
  See Also:
    `unsetSequenceNumber()`, `getSequenceNumber()`, `setSequenceNumber(long)`

### getSequenceNumber

    public long getSequenceNumber()

  Returns the value of the 'Sequence Number' attribute.

  A source defined number that allows for multiple messages to be sent and processed in logical order different from the order in which they arrived at consumer location (e.g., an event server or management tools). The sequence number helps consumers to sort arrived messages. This is with respect to the creation time and to the particular reporter of the messages. This is an OPTIONAL property. The default value is 0, which is a valid value for this property. For this reason the 'org.eclipse.hyades.logging.events.cbe' method should always be called before calling this method. This allows the user to distinguish the default value from a value that has been set to 0.

  Returns:
    the value of the 'Sequence Number' attribute.
  See Also:
    `isSetSequenceNumber()`, `unsetSequenceNumber()`, `setSequenceNumber(long)`, `EventPackage.getCommonBaseEvent_SequenceNumber()`

### setSeverity

    public void setSeverity(short value)

  Sets the value of the '`Severity`' attribute.

  The perceived severity of the status the event is describing with respect to the application that reports the event. The predefined severity levels, in order of increasing severity, are as follows:

  - 0 - Unknown
  - 10 - Information must be used for cases when the event contains only general information and is not reporting an error.
  - 20 - Harmless must be used for cases in which the error event has no effect on the normal operation of the resource.
  - 30 - Warning must be used when it is appropriate to let the user decide if an action is needed in response to the event.
  - 40 Minor must be used to indicate that action is needed, but the situation is not serious at this time.
  - 50 Critical must be used to indicate that an immediate action is needed and the scope is broad (perhaps an imminent outage to a critical resource will result).
  - 60 Fatal must be used to indicate that an error occurred, but it is too late to take remedial action.
  The associated values are 0 to 70. The reserved values start at 0 for Unknown and increase by increments of 10 to 60 for Fatal. Other severities may be added but must not exceed 70. This is an optional property. The default value is 0, which is a valid value for this property. Use the 'org.eclipse.hyades.logging.events.cbe' to distinguish the default value from a value that has been set to 0.

  Parameters:
    `value` - the new value of the 'Severity' attribute.
  See Also:
    `isSetSeverity()`, `unsetSeverity()`, `getSeverity()`

### unsetSeverity

    public void unsetSeverity()

  Sets the value of the '`Severity`' attribute to `0` and turns off the `isSet` flag.

  See Also:
    `isSetSeverity()`, `getSeverity()`, `setSeverity(short)`

### isSetSeverity

    public boolean isSetSeverity()

  Returns whether the value of the '`Severity`' attribute is set.

  Returns:
    whether the value of the 'Severity' attribute is set.
  See Also:
    `unsetSeverity()`, `getSeverity()`, `setSeverity(short)`

### getSeverity

    public short getSeverity()

  Returns the value of the 'Severity' attribute.

  The values are 0 to 70. The reserved values start at 0 for Unknown and increase by increments of 10 to 60 for Fatal. Other severities MAY be added but MUST not exceed 70. This is an OPTIONAL property. The default value is 0, which is a valid value for this property. For this reason the 'org.eclipse.hyades.logging.events.cbe' method should always be called before calling this method. This allows the user to distinguish the default value from a value that has been set to 0.

  Returns:
    the value of the 'Severity' attribute.
  See Also:
    `isSetSeverity()`, `unsetSeverity()`, `setSeverity(short)`, `EventPackage.getCommonBaseEvent_Severity()`

### setSituation

    public void setSituation(Situation value)

  Sets the value of the '`Situation`' containment reference.

  The situation specifies the type of the situation that caused the event to be reported. See the Situation definition for details. This is a required property.

  Parameters:
    `value` - the new value of the 'Situation' containment reference.
  See Also:
    `getSituation()`

### getSituation

    public Situation getSituation()

  Returns the value of the 'Situation' containment reference.

  Returns:
    the value of the 'Situation' containment reference.
  See Also:
    `setSituation(Situation)`, `EventPackage.getCommonBaseEvent_Situation()`

### setSourceComponentId

    public void setSourceComponentId(ComponentIdentification value)

  Sets the value of the '`Source Component ID`' containment reference.

  Identification of the component that is affected or was impacted by the event or the situation.

  This is a required property for the component that is affected by the situation.

  Parameters:
    `value` - the new value of the 'Source Component ID' containment reference.
  See Also:
    `getSourceComponentId()`

### setSourceComponentId

    public void setSourceComponentId(java.lang.String application,
                                     java.lang.String component,
                                     java.lang.String subComponent,
                                     java.lang.String componentType,
                                     java.lang.String componentIdType,
                                     java.lang.String executionEnvironment,
                                     java.lang.String instanceId,
                                     java.lang.String location,
                                     java.lang.String locationType,
                                     java.lang.String processId,
                                     java.lang.String threadId)

  Sets the source component identifier for this event.

  It creates a `ComponentIdentification` object and sets it in the respective field of this object.

  Parameters:
    `application` - the name of the application for the source component
    `component` - the name of the component for the source component
    `componentType` - the component type for the source component
    `componentIdType` - the component ID type for the source component
    `executionEnvironment` - the name of the execution environment for the source component
    `instanceId` - the instance ID for the source component
    `location` - the location for the source component
    `locationType` - the location type for the source component
    `processId` - the process ID for the source component
    `subComponent` - the name of the subcomponent for the source component
    `threadId` - the thread ID for the source component

### setSourceComponentId

    public void setSourceComponentId(java.lang.String application,
                                     java.lang.String component,
                                     java.lang.String subComponent,
                                     java.lang.String componentType,
                                     java.lang.String componentIdType,
                                     java.lang.String location,
                                     java.lang.String locationType)

  Sets the source component identifier for this event.

  It creates a `ComponentIdentification` object and sets it in the respective field of this object.

  Parameters:
    `application` - the name of the application for the source component
    `component` - the name of the component for the source component
    `subComponent` - the name of the subcomponent for the source component
    `componentType` - the component type for the source component
    `componentIdType` - the component ID type for the source component
    `location` - the location for the source component
    `locationType` - the location type for the source component

### getSourceComponentId

    public ComponentIdentification getSourceComponentId()

  Returns the value of the 'Source Component ID' containment reference.

  Returns:
    the value of the 'Source Component ID' containment reference.
  See Also:
    `setSourceComponentId(ComponentIdentification)`, `EventPackage.getCommonBaseEvent_SourceComponentId()`

### setVersion

    public void setVersion(java.lang.String value)

  Sets the value of the '`Version`' attribute.

  A string identifying the version of this event.

  This field is optional in that if it isn't specified, the version of the CBE is said to be 1.0. Otherwise this field must be filled in and must be consistent with the version specified in the schema header. The string length for version must not exceed 16 characters. When an application is creating an event following this version of the specification this field should be set to `1.0.1`

  Parameters:
    `value` - the new value of the 'Version' attribute.
  See Also:
    `getVersion()`

### getVersion

    public java.lang.String getVersion()

  Returns the value of the 'Version' attribute. The default value is `"1.0.1"`.

  Returns:
    the value of the 'Version' attribute.
  See Also:
    `setVersion(String)`, `EventPackage.getCommonBaseEvent_Version()`

### addAny

    public void addAny(java.lang.String any)

  Helper method for creating and setting an any element for this object.

  It creates an object and sets it in the respective field of this object.

  Parameters:
    `any` - A string representing an XML element.
  See Also:
    `getAny()`

### addAssociatedEvent

    public AssociatedEvent addAssociatedEvent(java.lang.String associationEngineName,
                                              java.lang.String associationEngineType,
                                              java.lang.String associationEngineId,
                                              java.lang.String[] resolvedEvents)

  Helper method for creating and setting the associated events for this object.

  It creates an `AssociatedEvent` object and sets it in the respective field of this object.

  Parameters:
    `associationEngineName` - name for the association engine
    `associationEngineType` - type for the association engine
    `associationEngineId` - identifier for the association engine.
    `resolvedEvents` - an array of globalInstanceIds that are associated to this event
  Returns:
    a reference to the associated events element added to this object.
  See Also:
    `getAssociatedEvents()`

### addContextDataElementWithValue

    public ContextDataElement addContextDataElementWithValue(java.lang.String contextType,
                                                             java.lang.String contextName,
                                                             java.lang.String contextValue)

  Adds a new context data element to this object.

  It creates a `ContextDataElement` object and sets it in the respective field of this object.

  Parameters:
    `contextType` - type of the context
    `contextName` - name of the context
    `contextValue` - contextValue of the context
  Returns:
    a reference to the context data element added to this object.
  See Also:
    `getContextDataElements()`

### addContextDataElementWithId

    public ContextDataElement addContextDataElementWithId(java.lang.String contextType,
                                                          java.lang.String contextName,
                                                          java.lang.String contextId)

  Adds a new context data element to this object.

  It creates a `ContextDataElement` object and sets it in the respective field of this object.

  Parameters:
    `contextType` - type of the context
    `contextName` - name of the context
    `contextId` - contextId of the context
  Returns:
    a reference to the context data element added to this object.
  See Also:
    `getContextDataElements()`

### addExtendedDataElement

    public ExtendedDataElement addExtendedDataElement(java.lang.String name)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object without any values adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElement

    public ExtendedDataElement addExtendedDataElement(java.lang.String name,
                                                      java.lang.String value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElement

    public ExtendedDataElement addExtendedDataElement(java.lang.String name,
                                                      java.lang.String[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `String` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElement

    public ExtendedDataElement addExtendedDataElement(java.lang.String name,
                                                      int type,
                                                      java.lang.String value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `type` - represents the data type for the new extended data element. Refer to the `ExtendedDataElement.TYPE_<type>_VALUE` constants for valid types.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  Throws:
    `java.lang.IllegalArgumentException` - if the `type` parameter is not one of the constants defined in `ExtendedDataElement.TYPE_<type>_VALUE`
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElement

    public ExtendedDataElement addExtendedDataElement(java.lang.String name,
                                                      int type,
                                                      java.lang.String[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `type` - represents the data type for the new extended data element. Refer to the `ExtendedDataElement.TYPE_<type>_VALUE` constants for valid types.
    `values` - the array of values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  Throws:
    `java.lang.IllegalArgumentException` - if the `type` parameter is not one of the constants defined in `ExtendedDataElement.TYPE_<type>_VALUE`
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithBooleanArrayValue

    public ExtendedDataElement addExtendedDataElementWithBooleanArrayValue(java.lang.String name,
                                                                           boolean[] values)

  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithBooleanValue

    public ExtendedDataElement addExtendedDataElementWithBooleanValue(java.lang.String name,
                                                                      boolean value)

  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

### addExtendedDataElementWithByteArrayValue

    public ExtendedDataElement addExtendedDataElementWithByteArrayValue(java.lang.String name,
                                                                        byte[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `byte` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithByteValue

    public ExtendedDataElement addExtendedDataElementWithByteValue(java.lang.String name,
                                                                   byte value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithDateArrayValue

    public ExtendedDataElement addExtendedDataElementWithDateArrayValue(java.lang.String name,
                                                                        java.lang.String[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  The values correspond to a date time string according to the XML schema dateTime definition.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `String` instances representing the date time values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithDateAsLongValue

    public ExtendedDataElement addExtendedDataElementWithDateAsLongValue(java.lang.String name,
                                                                         long value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - number of milliseconds since January 1, 1970 UTC; representing the date time value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithDateValue

    public ExtendedDataElement addExtendedDataElementWithDateValue(java.lang.String name,
                                                                   java.lang.String value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  The value corresponds to a date time string according to the XML schema dateTime definition.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - representation of the date time value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithDatesAsLongValue

    public ExtendedDataElement addExtendedDataElementWithDatesAsLongValue(java.lang.String name,
                                                                          long[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `long` values for the new extended data element. Each value corresponds to the number of milliseconds since January 1, 1970 UTC.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithDoubleArrayValue

    public ExtendedDataElement addExtendedDataElementWithDoubleArrayValue(java.lang.String name,
                                                                          double[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `double` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithDoubleValue

    public ExtendedDataElement addExtendedDataElementWithDoubleValue(java.lang.String name,
                                                                     double value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the `double` value that the new `ExtendedDataElement` will contain.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithFloatArrayValue

    public ExtendedDataElement addExtendedDataElementWithFloatArrayValue(java.lang.String name,
                                                                         float[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `float/code> values for the new extended data element.`
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithFloatValue

    public ExtendedDataElement addExtendedDataElementWithFloatValue(java.lang.String name,
                                                                    float value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithIntArrayValue

    public ExtendedDataElement addExtendedDataElementWithIntArrayValue(java.lang.String name,
                                                                       int[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `int` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithIntValue

    public ExtendedDataElement addExtendedDataElementWithIntValue(java.lang.String name,
                                                                  int value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithLongArrayValue

    public ExtendedDataElement addExtendedDataElementWithLongArrayValue(java.lang.String name,
                                                                        long[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `long` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithLongValue

    public ExtendedDataElement addExtendedDataElementWithLongValue(java.lang.String name,
                                                                   long value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithNoValue

    public ExtendedDataElement addExtendedDataElementWithNoValue(java.lang.String name)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing no value and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithShortArrayValue

    public ExtendedDataElement addExtendedDataElementWithShortArrayValue(java.lang.String name,
                                                                         short[] values)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `values` - the array of `short` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithShortValue

    public ExtendedDataElement addExtendedDataElementWithShortValue(java.lang.String name,
                                                                    short value)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithHexValue

    public ExtendedDataElement addExtendedDataElementWithHexValue(java.lang.String name,
                                                                  java.lang.String hexValue)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the hexValue passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `hexValue` - the hexadecimal string for the `hexValue` field of the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElementWithHexValue

    public ExtendedDataElement addExtendedDataElementWithHexValue(java.lang.String name,
                                                                  byte[] hexValue)

  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the hexValue passed as parameter and adds it to the list of extended data elements for this object.

  Parameters:
    `name` - the name for the new extended data element.
    `hexValue` - the array of bytes for the `hexValue` field of the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### addExtendedDataElement

    public ExtendedDataElement addExtendedDataElement(ExtendedDataElement extendedDataElement)

  Adds a new `ExtendedDataElement` to this object.

  Parameters:
    `extendedDataElement` - the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `getExtendedDataElements()`

### clearExtendedDataElements

    public void clearExtendedDataElements()

  Removes all ExtenedDataElements that this event is referencing

### removeExtendedDataElements

    public void removeExtendedDataElements(java.lang.String name)

  Remove a named extended data element that this event is referencing

  Parameters:
    `name` - the name of the element to be removed

### addContextDataElement

    public ContextDataElement addContextDataElement(ContextDataElement contextDataElement)

  Adds a new `ContextDataElement` to this object.

  Parameters:
    `contextDataElement` - the new context data element.
  Returns:
    a reference to the context data element added to this object.
  See Also:
    `getContextDataElements()`

### clearContextDataElements

    public void clearContextDataElements()

  Removes all ExtenedDataElements that this event is referencing

### removeContextDataElements

    public void removeContextDataElements(java.lang.String name)

  Remove a named context data element that this event is referencing

  Parameters:
    `name` - the name of the element to be removed

### addAssociatedEvent

    public AssociatedEvent addAssociatedEvent(AssociatedEvent associatedEvent)

  Adds a new `AssociatedEvent` to this object.

  Returns:
    a reference to the context data element added to this object.
  See Also:
    `getAssociatedEvents()`

### clearAssociatedEvents

    public void clearAssociatedEvents()

  Removes all ExtenedDataElements that this event is referencing

### clearAny

    public void clearAny()

  Removes all any strings that this event is referencing

### setMsgDataElement

    public MsgDataElement setMsgDataElement(java.lang.String msgCatalog,
                                            java.lang.String msgCatalogId,
                                            java.lang.String[] tokens,
                                            java.lang.String msgCatalogType,
                                            java.lang.String msgId,
                                            java.lang.String msgIdType,
                                            java.lang.String msgCatalogLocale)

  Adds a new `MsgDataElement` to this object.

  It creates a `MsgDataElement` object and sets it in the respective field of this object.

  Parameters:
    `msgCatalog` - the message catalog for this `MsgDataElement`
    `msgCatalogId` - the message catalog ID for this `MsgDataElement`
    `tokens` - the message catalog tokens for this `MsgDataElement`
    `msgCatalogType` - the message catalog type for this `MsgDataElement`
    `msgId` - the message ID for this `MsgDataElement`
    `msgIdType` - the message ID type for this `MsgDataElement`
    `msgCatalogLocale` - the locale for this `MsgDataElement`
  Returns:
    a reference to the message data element added to this object.

### setMsgDataElement

    public MsgDataElement setMsgDataElement(java.lang.String msgCatalog,
                                            java.lang.String msgCatalogId,
                                            MsgCatalogToken[] tokens,
                                            java.lang.String msgCatalogType,
                                            java.lang.String msgId,
                                            java.lang.String msgIdType,
                                            java.lang.String msgCatalogLocale)

  Adds a new `MsgDataElement` to this object.

  It creates a `MsgDataElement` object and sets it in the respective field of this object.

  Parameters:
    `msgCatalog` - the message catalog for this `MsgDataElement`
    `msgCatalogId` - the message catalog ID for this `MsgDataElement`
    `tokens` - the message catalog tokens for this `MsgDataElement`
    `msgCatalogType` - the message catalog type for this `MsgDataElement`
    `msgId` - the message ID for this `MsgDataElement`
    `msgIdType` - the message ID type for this `MsgDataElement`
    `msgCatalogLocale` - the locale for this `MsgDataElement`
  Returns:
    a reference to the message data element added to this object.

### complete

    public void complete()
                  throws CompletionException

  Invokes the content handler associated, if any, with this event instance.

  Invocations of this method cause the flag denoting if `ContentHandler` associated with this event instance has been previously been invoked to be true.

  Throws:
    `CompletionException` - if the event content cannot be completed for whatever reason.

### isComplete

    public boolean isComplete()

  Determines if the `ContentHandler` associated with this event instance, if any, has been previously been invoked.

  Returns:
    True if the `ContentHandler` has been previously been invoked, otherwise false.

### setContentHandler

    public void setContentHandler(ContentHandler contentHandler)

  Sets the `ContentHandler` associated with this event instance.

  Invocations of this method cause the flag denoting if the `ContentHandler` associated with this event instance has been previously invoked to be `false`.

  Parameters:
    `contentHandler` - The new `ContentHandler` associated with this event instance.

### getContentHandler

    public ContentHandler getContentHandler()

  Gets the `ContentHandler` associated with this event instance.

  Returns:
    The `ContentHandler` associated with this event instance.

### validate

    public void validate()
                  throws ValidationException

  Checks whether the contents of the instance conform to the CBE specification.

  Throws:
    `ValidationException` - if the event instance does not follow the CBE specification.

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state, except the `globalInstanceId` property.

  This API assigns a new unique `GUID` to the `globalInstanceId` property.

  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD